# Package org.springframework.orm

@NonNullApi @NonNullFields package org.springframework.orm
Root package for Spring's O/R Mapping integration classes. Contains generic DataAccessExceptions related to O/R Mapping.

Related Packages
Package
Description
org.springframework.orm.hibernate5
Package providing integration of Hibernate ORM 5.x with Spring concepts.
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
Exceptions
Class
Description
ObjectOptimisticLockingFailureException
Exception thrown on an optimistic locking violation for a mapped object.
ObjectRetrievalFailureException
Exception thrown if a mapped object could not be retrieved via its identifier.